$background: rgb(0, 30, 60);
$backgroundDark: rgb(0, 20, 40);
$borderColor: rgb(245, 245, 245);

@mixin basicFlex {
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

body {
  padding: 0px;
  margin: 0px;
  text-align: center;
  background-image: url('../textures/loadscreen.jpg');
  background-repeat: no-repeat;
}

.disable-select {
  user-select: none; /* supported by Chrome and Opera */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
}

.tab-panel {
  margin: 120px;
  width: 1280px;
  height: 720px;
  display: inline-block;
}

.tabs {
  text-align: left;
  margin: 0px;
  padding: 0px;
  display: flex;

  .active {
    color: white;
    opacity: 0.90;
    background: linear-gradient(rgb(0, 20, 40), rgb(0, 0, 0));
    border-bottom: 2pt solid $borderColor;
  }

  -webkit-animation-name: basic-tab;
  -moz-animation-name: basic-tab;
  -o-animation-name: basic-tab;
  animation-name: basic-tab;
  animation-duration: 1000ms;
}

.tabs div {
  color: whitesmoke;
  display: inline-block;
  margin: 0px;
  padding: 16px;
  background: $background;
  min-width: 120px;
  text-align: center;
  font-weight: bold;
  font-family: "Calibri Light", SansSerif;
  font-size: 12.0pt;
  cursor: pointer;
  border-top: 1pt solid $borderColor;
  border-right: 1pt solid $borderColor;
  opacity: 0.60;
  border-bottom: 2pt solid transparent;

  &:hover {
    color: white;
    opacity: 0.90;
    animation-name: animate-div;
    animation-duration: 1000ms;
    background: -moz-linear-gradient(
                    $background,
                    $backgroundDark
    );
  }

  &:first-child {
    border-left: 1pt solid $borderColor;
    border-top-left-radius: 8px;
  }

  &:last-child {
    border-top-right-radius: 8px;
  }
}

.tab-content {
  padding: 8px;
  margin: 0px;
  text-align: left;
  border: 1pt solid $borderColor;
  color: white;
  opacity: 0.60;
  height: 90%;
  border-top-right-radius: 8px;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  background: $background;
  background: linear-gradient(rgb(0, 20, 40), rgb(0, 0, 0));
  animation-name: basic-content;
  animation-duration: 1000ms;
  @include basicFlex();

  div {
    color: white;
    padding: 12px;
    font-size: 12.0pt;
    font-family: 'Arial', sans-serif;
    border: 1px solid antiquewhite;
    border-radius: 4px;
    background: linear-gradient(rgb(0, 20, 40), rgb(0, 0, 0));
    width: 100vw;
    text-align: center;
  }
}

@import "animation";
